#pragma once
#include "afxwin.h"
#include "apl_api.h"
#include "apl_gui.h"

// CPersonalOptionsDlg dialog

class CPersonalOptionsDlg : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CPersonalOptionsDlg)

public:
	CPersonalOptionsDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CPersonalOptionsDlg();

// Dialog Data
	enum { IDD = IDD_PERSONAL_OPTIONS };

	CaplAPI *m_api;
	CaplInstance *m_person;
	int m_iAlwaysUseHtml;

	void ComboByOptionSet(CComboBox &ctrl, LPCTSTR sOption, CString &sOptions);
	void ComboByOptionGet(CComboBox &ctrl, LPCTSTR sOption, CString &sOptions);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CEdit m_mail_template_ctrl;
	virtual BOOL OnInitDialog();
protected:
	virtual void OnOK();
public:
	CaplButton m_ok_btn;
	CaplButton m_cancel_btn;
	CComboBox m_RunTaskNotifyCtrl;
	CComboBox m_CompleteTaskNotifyExecutorCtrl;
	CComboBox m_SuspendTaskNotifyExecutorCtrl;
	CComboBox m_CancelTaskNotifyExecutorCtrl;
	CComboBox m_CompleteTaskNotifyOwnerCtrl;
	CComboBox m_CompleteProcessNotifyCtrl;
	CComboBox m_CancelTaskNotifyOwnerCtrl;
	CComboBox m_SuspendTaskNotifyOwnerCtrl;
	CButton m_create_msg_html_ctrl;
	CEdit m_email_ctrl;
	CButton m_copy_msg_to_email_ctrl;
	CEdit m_phone_ctrl;
	CEdit m_actual_address_ctrl;
};
